Quote Originally Posted by b3nn0 View Post
I'm not sure why, but I don't seem to be able to upgrade:
Die folgenden Pakete sind zurückgehalten worden:
libegl1-mesa libegl1-mesa-drivers libgl1-mesa-dri libgl1-mesa-glx libgles2-mesa
Die folgenden Pakete werden aktualisiert (Upgrade):
libdrm-dev libdrm-intel1 libdrm-nouveau1a libdrm-radeon1 libdrm2 libglu1-mesa libkms1 libopenvg1-mesa libvpx0 mesa-common-dev xserver-xorg-video-ati xserver-xorg-video-intel
xserver-xorg-video-nouveau xserver-xorg-video-radeon


The reason why the above packages are not being installed:
libegl1-mesa : Hängt ab von: libglapi-mesa (= 7.12~git1110030847.1165b6~gd~n) aber 7.12.0~git20110726.b189d163-0ubuntu0sarvatt2~natty soll installiert werden
libgl1-mesa-glx : Hängt ab von: libglapi-mesa (= 7.12~git1110030847.1165b6~gd~n) aber 7.12.0~git20110726.b189d163-0ubuntu0sarvatt2~natty soll installiert werden
libgles2-mesa : Hängt ab von: libglapi-mesa (= 7.12~git1110030847.1165b6~gd~n) aber 7.12.0~git20110726.b189d163-0ubuntu0sarvatt2~natty soll installiert werden


Any help is appreciated :/
(Honestly, I think I fiddled with some X packages after installing Ubuntu a few months ago and simply forgot it... but I'm not sure and don't know how to find out).

Thanks
It looks like you had PPA of sarvatt2 (or something similar). You need to re-add that PPA (if you deleted) and then run in terminal "sudo ppa-purge (name of PPA)". (you also need to have installed ppa-purge. After that "sarvatt2" is purged you can use oibaf PPA (someone should correct me if I am wrong)